DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
GET/chatbot/{chatbotId}/web/crawl

List all web crawl requests for a chatbot

List all web crawl requests for a chatbot

POST/chatbot/{chatbotId}/web/crawlarrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot
double_arrow
Returns 200
requestsrequired
array
countrequired
number
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X GET 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/web/crawl' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
{
  "requests": [
    {
      "id": "00000000-0000-0000-0000-000000000001",
      "chatbotId": "00000000-0000-0000-0000-000000000001",
      "startUrl": "startUrl",
      "excludePatterns": [
        "excludePatterns"
      ],
      "status": "status",
      "pagesFound": "pagesFound",
      "pdfsFound": "pdfsFound",
      "error": "error",
      "createdAt": "2026-01-01T00: 00:00Z",
      "completedAt": "2026-01-01T00: 00:00Z",
      "lastCrawledAt": "2026-01-01T00: 00:00Z"
    }
  ],
  "count": 0
}